import TRTC from "trtc-js-sdk";
// 输出INFO以上日志等级
TRTC.Logger.setLogLevel(TRTC.Logger.LogLevel.WARN);

export const checkSystemRequirements = async () => {
  const checkResult = await TRTC.checkSystemRequirements();
  console.log(checkResult);
  if (!checkResult.result) return Promise.reject(checkResult.detail);
  return Promise.resolve(true);
};

export const createClient = (options) => {
  return TRTC.createClient(options);
};

export const createStream = (options) => {
  return TRTC.createStream(options);
};
